import 'dart:async';

import 'package:flutter/services.dart';

class NavColorBottom {
  static const MethodChannel _channel =
      const MethodChannel('nav_color_bottom');

  static Future<String> changeColor(String value) async {
    final Map<String, dynamic> params = <String, dynamic> {
      'value': value,
    };
    final String result = await _channel.invokeMethod('changeColor', params);
    return result;
  }
}
