import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:nav_color_bottom/nav_color_bottom.dart';

void main() {
  const MethodChannel channel = MethodChannel('nav_color_bottom');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('changeColor', () async {
    expect(await NavColorBottom.changeColor, '42');
  });
}
